
Foreman - Bug #1516

can not set puppet intervall < 10

03/06/2012 04:47 AM - Florian Koch

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hi,

setting puppet_interval in the settings < 10 generates an error in the dashboard

ZeroDivisionError

divided by 0

app/helpers/dashboard_helper.rb:8:in `/'

app/helpers/dashboard_helper.rb:8:in `count_reports'

app/views/dashboard/index.html.erb:40:in `_app_views_dashboard_index_html_erb___575581890_70066262

072020_0'

app/controllers/dashboard_controller.rb:6:in `index'

 
app/helpers/dashboard_helper.rb

def count_reports(hosts)

    interval = Setting[:puppet_interval] / 10 _<--- *the error come from this code*_

    counter = []

    labels = []

    start =Time.now.utc - Setting[:puppet_interval].minutes

    (1..(Setting[:puppet_interval] / interval)).each do

      now = start + interval.minutes

      counter <<  hosts.run_distribution(start, now-1.second).count

      labels  <<  "#{time_ago_in_words(start.getlocal)}" 

      start = now

    end

    {:labels => labels, :counter =>counter}

  end

Related issues:

Is duplicate of Foreman - Bug #1475: Can't set the puppet_run interval to les... Resolved 01/29/2012

History

#1 - 03/06/2012 04:56 AM - Ohad Levy

- Status changed from New to Duplicate

- Target version deleted (1.0)

#2 - 06/12/2013 06:47 PM - Lucas E Holm

Bug is still active: Version 1.1stable
